
package de.ivu.elect.presentation.wahlvorschlagsperson.menu;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.wahlvorschlagsperson.BeauftragterPersonenregisterPersonendatenSelectionView;

public class BeauftragterCreateMenuItemEntry extends AbstractWahlvorschlagsPersonCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public BeauftragterCreateMenuItemEntry() {
    super();
  }

  @Override
  protected WahlvorschlagsPersonTyp getWahlvorschlagsPersonTyp() {
    return WahlvorschlagsPersonTyp.BEAUFTRAGTER;
  }

  @Override
  public String getTargetViewId() {
    return BeauftragterPersonenregisterPersonendatenSelectionView.VIEW_ID;
  }
}
